=== doc/Makefile ===
#*****************************************************************************
# Contains              :  Makefile for CVS documentation
# Requires              :  none     
# Source		:  $Source: /var/lib/cvs/fiaif/fiaif/doc/Makefile,v $
# Revision              :  $Revision: 1.1 $
# Author                :  $Author: afu $
#*****************************************************************************

#list all the files that the docuemnt depends on here.
TEX_NAMES	= iptables
FIGURE_NAMES	= 

FIG_FILES	= $(addsuffix .fig, $(FIGURE_NAMES))
EPS_FILES	= $(addsuffix .eps, $(FIGURE_NAMES))
TEX_FILES	= $(addsuffix .tex, $(TEX_NAMES))

FILES		= $(TEX_FILES) $(EPS_FILES)

MAIN		= main

.PHONY:	all view bib dvi ps


all: dvi

view:	ps
	xdvi $(MAIN).dvi	

bib:	
	@bibtex $(MAIN)

dvi:	$(FILES)
	@latex  $(MAIN).tex
	@latex  $(MAIN).tex

ps: 	dvi 
	@dvips -o $(MAIN).ps $(MAIN).dvi 

print: dvi	 
	@dvips $(MAIN).dvi 

%.eps:	%.fig
	fig2dev -L eps $< > $@

clean:
	rm -f $(MAIN).ps
	rm -f *.dvi
	rm -f *.aux
	rm -f *.toc
	rm -f *.lof
	rm -f *~
	rm -f \#*\#
	rm -f *.log
	rm -f $(EPS_FILES)
