## fiaif 1.20.1

=== src/ui/Makefile ===
########################################################################
# Final Thesis
#
# Makefile for simulator
# Source   :  $RCSfile: Makefile,v $
#
# To change the scheduling algorithem used, 
# modify the SCHEDULER variable below.
#
# Anders Fugmann.
# 
#######################################################################

CFLAGS = -O2 -Wall -g 

TARGET = fiaif-ui

FILES = main 

SRCS = $(addsuffix .c, $(FILES)) 

OBJS = $(addsuffix .o, $(FILES))

LIBS = -lncurses
.PHONY: all dep clean

all: $(TARGET) 

$(TARGET): $(OBJS) Makefile
	gcc $(LIBS) -o $(TARGET) $(OBJS)

.cc.o:
	g++ $(CFLAGS) -c -o $@ $<
.c.o:
	gcc $(CFLAGS) -c -o $@ $<

dep: 
	gccmakedep $(SRCS) 

clean:
	rm -f *o *~ $(TARGET) core Makefile.bak
