## fiaif 1.21.1

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,7 @@
 SPEC_VERSION:=$(shell VER=$$(grep "Version" fiaif.spec | cut -f 2); \
 		     REL=$$(grep "Release" fiaif.spec | cut -f 2); \
 	            if [[ $$VER == "$(VERSION)" ]]; then echo "$$VER-$$REL"; \
-                    else echo "$(VERSION)-1"; fi)
+                    else echo "$(VERSION)-0.1"; fi)
 
 .PHONY: install uninstall install-config install-initd \
 	clean all dist debian tar rpm html fiaif.ps
@@ -119,7 +119,7 @@
 	$(RM) $(DESTDIR)/etc/rc?.d/S$(LEVEL)$(INIT_FILE)
 
 html: fiaif.ps
-	cvs update -d -P
+#cvs update -d -P
 	install -d $(HTML_PATH)/img
 	install -d $(HTML_PATH)/dist
 	install -d $(HTML_PATH)/beta
@@ -151,31 +151,31 @@
 # RedHat is more than fucked up. It cannot make packages in `pwd`,
 # but need to do it in /usr/src/rpm....
 	cp ../fiaif_$(VERSION).tar.gz /usr/src/rpm/SOURCES/fiaif_$(VERSION).tar.gz
-	rpm -ba --rmsource --clean fiaif.spec
+	rpmbuild -ba --rmsource --clean fiaif.spec
 	mv /usr/src/rpm/RPMS/noarch/fiaif-$(SPEC_VERSION).noarch.rpm ../fiaif_$(SPEC_VERSION).noarch.rpm
 	mv /usr/src/rpm/SRPMS/fiaif-$(SPEC_VERSION).src.rpm ../fiaif_$(SPEC_VERSION).src.rpm
 
 tar: clean VERSION fiaif.ps 
-	cd ..; find fiaif -type d -name CVS > /tmp/cvs_exclude
-	cd ..; find fiaif -type f -name .cvsignore >> /tmp/cvs_exclude
-	echo fiaif/html >> /tmp/cvs_exclude
-	echo update_changelog.sh >> /tmp/cvs_exclude
-	cd ..; tar zcf fiaif_$(VERSION).tar.gz -X /tmp/cvs_exclude fiaif/* 
+	cd ..; find fiaif -type d -name .svn > /tmp/exclude
+	cd ..; find fiaif -type f -name .cvsignore >> /tmp/exclude
+	echo fiaif/html >> /tmp/exclude
+	echo update_changelog.sh >> /tmp/exclude
+	cd ..; tar zcf fiaif_$(VERSION).tar.gz -X /tmp/exclude fiaif/* 
 	tar zxf ../fiaif_$(VERSION).tar.gz --directory debian
 	mv debian/fiaif debian/fiaif-$(VERSION)
 	cd debian; tar zcf ../../fiaif_$(VERSION).tar.gz fiaif-$(VERSION)/*
 	rm -fr debian/fiaif-$(VERSION)
-	rm -f /tmp/cvs_exclude
+	rm -f /tmp/exclude
 
 VERSION: $(CHANGELOG)
 	./update_changelog.sh
 	echo $(VERSION) > VERSION 
 
-dist: clean tar deb rpm html VERSION
-	cvs tag -F "Fiaif-$$(echo $(VERSION) | sed s/\\\./_/g)"
+dist: clean tar deb rpm VERSION
+#cvs tag -F "Fiaif-$$(echo $(VERSION) | sed s/\\\./_/g)"
 	install -m 644 ../fiaif_$(DEB_VERSION).dsc $(DIST_PATH)
 	install -m 644 ../fiaif_$(DEB_VERSION)_all.deb $(DIST_PATH)
-	install -m 644 ../fiaif_$(DEB_VERSION)_i386.changes $(DIST_PATH)
+	install -m 644 ../fiaif_$(DEB_VERSION)_*.changes $(DIST_PATH)
 	install -m 644 ../fiaif_$(SPEC_VERSION).noarch.rpm $(DIST_PATH)
 	install -m 644 ../fiaif_$(SPEC_VERSION).src.rpm $(DIST_PATH)
 	install -m 644 ../fiaif_$(VERSION).tar.gz $(DIST_PATH)
