## fiaif 1.22.1

=== debian/changelog ===
fiaif (1.22.1-1) unstable; urgency=low

  * New upstream release.
    + Remove all patches that have been applied upstream.
  * Replaced cdbs with dh as build rules.
  * Updated reportbug note that gets displayed before people are sending
    bug reports.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 31 Mar 2011 13:29:49 +0200

fiaif (1.21.1-18) unstable; urgency=low

  * Dpatch is not needed anymore. Remove it and update all patches
    accordingly.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 15 Mar 2011 14:37:59 +0100

fiaif (1.21.1-17) unstable; urgency=low

  * Fix typo in description. Thanks Davide Prina (Closes: #617844)
  * Standards version 3.9.1
  * Use new Debian Source 3.0 (quilt) format.
  * Added Brazilian Portuguese debconf templates translation. Thanks to
    Adriano Rafael Gomes. (Closes: #605852)
  * Updated patch 01_enable_int_zone:
    Disable REDIRECT_PROXY per default. (Closes: #591922)
  * Updated patch 15_update_reserved_networks:
    Updated to latest list of reserved networks.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 12 Mar 2011 12:47:48 +0100

fiaif (1.21.1-16) unstable; urgency=low

  * Updated patch 16_init_lsb_headers:
    - Remove the network dependency on the init script, which has been
      added in the last upload.
      This could leave the server vulnerable after network interfaces
      are active and before fiaif started.
      Added a note about this in the patch.
      Thanks to Anders Peter Fugmann for the reminder.
  * Updated patch 18_create_var_lock_dir:
     - Add -p option to mkdir for creating /var/lock/subsys
  * Updated patch 15_update_reserved_networks:
     - Update the reserved_networks list to version 1.32

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 21 Sep 2009 21:25:08 +0200

fiaif (1.21.1-15) unstable; urgency=low

  * Fix dependencies in init.d script. Thanks Petter Reinholdtsen
    for the patch.
    (Closes: #547213)
  * Added debian/README.source
  * Use Standards version 3.8.3
  * Replace dependencies on kernel-image-* with linux-image-*
  * Do not install /var/lock/subsys directory
  * Added patch 18_create_var_lock_dir: create /var/lock/subsys
    directory on demand.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Sep 2009 22:43:58 +0200

fiaif (1.21.1-14) unstable; urgency=low

  * Acknowledge NMU (Closes: #486253, #502249, #502683)
  * Use debhelper v7
  * Use Standards version 3.8.0
  * Improved the reportbug message about confidential configuration
    data.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 22 Dec 2008 14:37:52 +0100

fiaif (1.21.1-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix spelling error in templates: s/who's/whose.
    Thanks to  Vincenzo Campanella for pointing this.
  * Fix pending l10n/debconf issues.
  * Fix typo in templates. Unfuzzy translations. Closes: #486253
    - Basque. Closes: #502249
    - Italian. Closes: #486253
    - Russian. Closes: #502683

 -- Christian Perrier <bubulle@debian.org>  Mon, 20 Oct 2008 19:51:45 +0200

fiaif (1.21.1-13) unstable; urgency=low

  * Replace dh_installoverrides with dh_lintian, introduced in debhelper
    6.0.7
  * Remove invalid byte sequences from LSB fiaif init header.
    (Closes: #469946)

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 06 Mar 2008 23:58:03 +0100

fiaif (1.21.1-12) unstable; urgency=low

  * Add LSB headers to fiaif init script. Thanks to Petter Reinholdtsen
    <pere@hungry.com> for the patch.
    (Closes: #468895)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 02 Mar 2008 16:32:37 +0100

fiaif (1.21.1-11) unstable; urgency=low

  * Update reserved_networks list to version 1.30 from 2008/17/02.
    (Closes: #466009)

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 16 Feb 2008 07:36:38 +0100

fiaif (1.21.1-10) unstable; urgency=low

  * Use modprobe -r instead of rmmod to make use of module aliases.
    The old rmmod method gave errors eg. when using the ip_nat_ftp
    module which has been renamed to nf_nat_ftp in kernels >=2.6.22.
    (Closes: #464798)
  * Fix man page errors in fiaif.conf.5, reported by lintian.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 13 Feb 2008 11:08:39 +0100

fiaif (1.21.1-9) unstable; urgency=low

  * Allow the rule array subscriptor to be an array length variable, eg:
    INPUT[${#INPUT[@]}]="blah blah blah"
    .
    This way the entry can be commented out without reshuffling indexes.
    Thanks to Rob Dawson for the patch.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 14 Jan 2008 10:25:33 +0100

fiaif (1.21.1-8) unstable; urgency=low

  * Use Standards Version 3.7.3 (no changes)
  * Use presubj for reportbug message, not a script (Closes: #456905)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 18 Dec 2007 17:09:53 +0100

fiaif (1.21.1-7) unstable; urgency=low

  * Move Homepage into control field.
  * Don't silently ignore download errors in fiaif-update script.
  * Correct typo in voip zone configuration, thanks to Laurent CARON for
    spotting this. (Closes: #450799)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 24 Sep 2007 19:59:51 +0200

fiaif (1.21.1-6) unstable; urgency=low

  * Added portugese translation of debconf messages; thanks Miguel
    Figueiredo (Closes: #437282)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 20 Aug 2007 20:57:42 +0200

fiaif (1.21.1-5) unstable; urgency=high

  * Add texlive-fonts-recommended to the build depends, fixing FTBFS.
    (Closes: #425089)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 20 May 2007 23:12:11 +0200

fiaif (1.21.1-4) unstable; urgency=low

  * Add missing build-depends, fixing FTBFS error (Closes: #421919).

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 02 May 2007 19:50:18 +0200

fiaif (1.21.1-3) unstable; urgency=low

  * Added spanish debconf template translation, from Manuel Porras
    Peralta (Closes: #414219)
  * New patch 08_use_fancyhdr: replace the old fancyheadings TeX package
    with fancyhdr. Fixes the FTBFS with new texlive packages.

