=== debian/control ===
Source: fiaif
Section: net
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: dia, texlive-latex-recommended, texlive-latex-extra,
 texlive-fonts-recommended
Standards-Version: 3.9.1
Homepage: http://www.fiaif.net/
Vcs-Svn: https://svn.fugmann.net/fiaif/trunk/

Package: fiaif
Architecture: all
Depends: iptables (>= 1.2.6a), bash (>= 2.04), sed (>= 3.02),
 grep (>= 2.4.2), coreutils (>= 4.5.1), net-tools,
 debconf (>= 1.0.32) | debconf-2.0, debianutils (>= 1.16),
 dnsutils | djbdns, cron | anacron, logtail, wget, ${misc:Depends}
Suggests: iproute, ulogd, linux-image-2.6 | linux-image-2.4
Conflicts: ipmasq, knetfilter, firewall-easy, shorewall
Description: An easy to use, yet complex firewall
 Fiaif is an Intelligent Firewall.
 .
 The Goal of FIAIF is to provide a highly customizable script for
 setting up an iptables based firewall.
 .
 Unlike many other scripts, FIAIF can be truly customized allowing
 multiple interfaces (or rather zones). There is no limit on the number
 of zones. All configuration is done through configuration files.
 No need to understand the script behind it all.
 .
 The script makes heavy use of state-full firewalling,
 and all RELATED and ESTABLISHED packets are accepted on all chains.
 If you wish to block something out, don't accept it in the first place.
 .
 The script is written in BASH. Though this is not the optimal
 program to use, it means that you do not need to install extra
 interpreters on your firewall.
 This allows you to have a minimalistic installation on your firewall.
 .
 Install this package if your machine is ever on the internet.
