=== debian/rules ===
#!/usr/bin/make -f

BASE:=$(CURDIR)/debian/fiaif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) fiaif.ps

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(BASE)
	$(MAKE) install-config DESTDIR=$(BASE)
# remove fiaif-update cron job
	rm -rf $(BASE)/etc/cron.daily/
# install reportbug info
	install -m 0644 debian/reportbug.presubj $(BASE)/usr/share/bug/fiaif/presubj
# remove /var/lock directory; it gets created automatically
	rm -r $(BASE)/var/lock/subsys
