## fiaif 1.23.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # Makefile for FIAIF 
-# Version: $Id: Makefile,v 1.128 2004/02/25 22:57:43 afu Exp $
-#
-# Copyright (C) 2002 Anders Peter Fugmann <anders at fugmann dot dhs dot org>
+#
+# Copyright (C) 2002-2011 Anders Peter Fugmann <anders at fugmann dot net>
 # This package comes with ABSOLUTELY NO WARRANTY
 # Use strictly at your own risk.
 #
@@ -53,11 +52,11 @@
 
 VERSION:=$(shell head -n1 changelog | cut -d" " -f 3)
 DEB_VERSION:=$(shell VER=$$(head -n1 debian/changelog | sed "s/.*(\(.*\)).*/\1/g"); \
-	            if [[ $$VER == $(VERSION)* ]]; then echo $$VER; \
-                    else echo $(VERSION)-1; fi)
+	            if test "$$VER" = "$(VERSION)*"; then echo $$VER; \
+                    else echo $(VERSION)-0.1; fi)
 SPEC_VERSION:=$(shell VER=$$(grep "Version" fiaif.spec | cut -f 2); \
 		     REL=$$(grep "Release" fiaif.spec | cut -f 2); \
-	            if [[ $$VER == "$(VERSION)" ]]; then echo "$$VER-$$REL"; \
+	            if test "$$VER" = "$(VERSION)"; then echo "$$VER-$$REL"; \
                     else echo "$(VERSION)-0.1"; fi)
 
 .PHONY: install uninstall install-config install-initd \
@@ -119,7 +118,6 @@
 	$(RM) $(DESTDIR)/etc/rc?.d/S$(LEVEL)$(INIT_FILE)
 
 html: fiaif.ps
-#cvs update -d -P
 	install -d $(HTML_PATH)/img
 	install -d $(HTML_PATH)/dist
 	install -d $(HTML_PATH)/beta
@@ -144,16 +142,14 @@
 	cp doc/fiaif/fiaif.ps . 
 
 deb: VERSION 
-	fakeroot dpkg-buildpackage
+	fakeroot dpkg-buildpackage -us -uc || true
 	rm -fr debian/fiaif
 
 rpm: tar VERSION
-# RedHat is more than fucked up. It cannot make packages in `pwd`,
-# but need to do it in /usr/src/rpm....
-	cp ../fiaif_$(VERSION).tar.gz /usr/src/rpm/SOURCES/fiaif_$(VERSION).tar.gz
+	cp ../fiaif_$(VERSION).tar.gz ~/rpmbuild/SOURCES/
 	rpmbuild -ba --rmsource --clean fiaif.spec
-	mv /usr/src/rpm/RPMS/noarch/fiaif-$(SPEC_VERSION).noarch.rpm ../fiaif_$(SPEC_VERSION).noarch.rpm
-	mv /usr/src/rpm/SRPMS/fiaif-$(SPEC_VERSION).src.rpm ../fiaif_$(SPEC_VERSION).src.rpm
+	mv ~/rpmbuild/RPMS/noarch/fiaif-$(SPEC_VERSION).noarch.rpm ../fiaif_$(SPEC_VERSION).noarch.rpm
+	mv ~/rpmbuild/SRPMS/fiaif-$(SPEC_VERSION).src.rpm ../fiaif_$(SPEC_VERSION).src.rpm
 
 tar: clean VERSION fiaif.ps 
 	cd ..; find fiaif -type d -name .svn > /tmp/exclude
@@ -172,7 +168,6 @@
 	echo $(VERSION) > VERSION 
 
 dist: clean tar deb rpm VERSION
-#cvs tag -F "Fiaif-$$(echo $(VERSION) | sed s/\\\./_/g)"
 	install -m 644 ../fiaif_$(DEB_VERSION).dsc $(DIST_PATH)
 	install -m 644 ../fiaif_$(DEB_VERSION)_all.deb $(DIST_PATH)
 	install -m 644 ../fiaif_$(DEB_VERSION)_*.changes $(DIST_PATH)
@@ -218,7 +213,6 @@
 	$(RM) -r debian/fiaif 
 	$(RM) -r debian/fiaif_$(VERSION)
 	$(RM) debian/*debhelper debian/files debian/*substvars 
-	$(RM) /usr/src/rpm/SOURCES/* /usr/src/rpm/RPMS/noarch/*
 	$(RM) fiaif.ps
 	$(RM) VERSION
 	$(RM) build-stamp
