=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #*****************************************************************************
 # Contains              :  Makefile for CVS documentation
 # Requires              :  none     
-# Source		:  $Source: /var/lib/cvs/fiaif/fiaif/doc/Makefile,v $
+# Source		:  $Source: /home/cvsd/var/lib/cvs/fiaif/fiaif/doc/Makefile,v $
 # Revision              :  $Revision: 1.1 $
 # Author                :  $Author: afu $
 #*****************************************************************************
