=== doc/fiaif/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile to latex files                                   #
 # Thanks to http://www.light.utoronto.ca/stok/linux.html    #
 #                                                           #
-# $Source: /var/lib/cvs/fiaif/fiaif/doc/fiaif/Makefile,v $  #
+# $Source: /home/cvsd/var/lib/cvs/fiaif/fiaif/doc/fiaif/Makefile,v $  #
 # $Revision: 1.12 $                                          #
 # $Author: afu $                                            #
 #############################################################
