=== debian/changelog ===
fiaif (1.23.1-4) unstable; urgency=low

  * Suggest iproute2. (Closes: #753729)
  * Remove useless suggestion on linux-image. (Closes: #724562)
  * Added japanese template translations. (Closes: #718758)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 07 Jul 2014 20:04:20 +0200

fiaif (1.23.1-3) unstable; urgency=low

  * Move script used in postinst to /usr/share/fiaif (Closes: #710358)

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 26 Jun 2013 08:46:13 +0200

fiaif (1.23.1-2) unstable; urgency=low

  * Fix manpage spelling errors.
  * Remove unused lintian override script-not-executable.
  * Use set -e in maintainer scripts.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 14 Feb 2013 21:42:49 +0100

fiaif (1.23.1-1) unstable; urgency=low

  * New upstream release.
  * Use Standards version 3.9.4
  * Refreshed debian patches.
  * Added patches:
    - 008-allow-old-tc-conf
      allow the old traffic shaping statements in configuration files.
      This way old config files are still valid, but the traffic shaping
      values are ignored.
    - 009-fiaif-test-usage-doc
      Document /etc/init.d/fiaif test in usage string.
    - 010-remove-syntax-awk-hashbang
      Fix lintian warning about non-executable script with a hashbang.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 21 Jan 2013 11:20:09 +0100

fiaif (1.22.1-2) unstable; urgency=low

  * Added several fixes for iptables >= 1.4.11 from Nikolay A. Fetisov.
    (Closes: #630543)
  * Use Standards version 3.9.3
  * Use debhelper compatibility level 9

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 09 Nov 2012 21:38:30 +0100
