=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Section: net
 Priority: optional
 Maintainer: Bastian Kleineidam <calvin@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dia, texlive-latex-recommended, texlive-latex-extra,
  texlive-fonts-recommended
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: http://www.fiaif.net/
-Vcs-Svn: https://svn.fugmann.net/fiaif/trunk/
 
 Package: fiaif
 Architecture: all
-Depends: iptables (>= 1.2.6a), bash (>= 2.04), sed (>= 3.02),
+Depends: iptables (>= 1.4.11), bash (>= 2.04), sed (>= 3.02),
  grep (>= 2.4.2), coreutils (>= 4.5.1), net-tools,
  debconf (>= 1.0.32) | debconf-2.0, debianutils (>= 1.16),
  dnsutils | djbdns, cron | anacron, logtail, wget, ${misc:Depends}
-Suggests: iproute, ulogd, linux-image-2.6 | linux-image-2.4
+Suggests: iproute2, ulogd
 Conflicts: ipmasq, knetfilter, firewall-easy, shorewall
-Description: An easy to use, yet complex firewall
+Description: easy to use, yet complex firewall
  Fiaif is an Intelligent Firewall.
  .
  The Goal of FIAIF is to provide a highly customizable script for
