=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,13 @@
 	$(MAKE) install-config DESTDIR=$(BASE)
 # remove fiaif-update cron job
 	rm -rf $(BASE)/etc/cron.daily/
+# install fiaif-scan cron script; will be copied to etc/cron.daily with debconf question
+	install -m 0644 debian/fiaif-scan $(BASE)/usr/share/fiaif
 # install reportbug info
 	install -m 0644 debian/reportbug.presubj $(BASE)/usr/share/bug/fiaif/presubj
 # remove /var/lock directory; it gets created automatically
 	rm -r $(BASE)/var/lock/subsys
 
+# use xz for debian binary package compression
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
