=== debian/watch ===
# watch control file for uscan
version=3
http://www.fiaif.net/dist/fiaif_(.*).tar.gz debian uupdate
